Subject: Re: DTS question

From: Segher Boessenkool <[email-masked]>
Date: Thu, 20 Mar 2008 22:47:57 +0100

> The warp has an AD7414 chip hanging off the I2C bus. This chip can
> raise an interrupt when it crosses a critical threshold.
>
> This interrupt is tied to IRQ2 from the processor.

No it's not.  PowerPC has only one interrupt [*].  You probably
mean it is tied to IRQ2 on your "main" interrupt controller?

> What is the best
> way to describe this interrupt in the DTS?

You set the "interrupts" property to contain a description for
this interrupt: likely simply <2 sense>.  The exact format (and
the values for "sense") depend on the exact kind of interrupt
controller.

If there is weird interrupt routing, you might need to set an
"interrupt-parent" property as well, pointing to this interrupt
controller.

Segher